
#include <learn/InterV__learn__rendezVous.hpp>
#include <learn/ConnT__learn__rendezVous.hpp>

InterV__learn__rendezVous::InterV__learn__rendezVous(const ConnT__learn__rendezVous &connector, const Interaction& interaction, const vector<PortValue *> &values) :
        InteractionValue(),
        mInteraction(connector, interaction.ports()) {
    this->mPortValues.reserve(3);
    commonRecycle(interaction, values);
}


void InterV__learn__rendezVous::commonRecycle(const Interaction& interaction, const vector<PortValue *> &values) {
	this->mPortValues.clear();
    for (vector<PortValue *>::const_iterator valueIt = values.begin() ;
         valueIt != values.end() ;
         ++valueIt) {
        this->mPortValues.push_back(*valueIt);
    }
}


InterV__learn__rendezVous::~InterV__learn__rendezVous(){
}


